org.apache.tinkerpop.gremlin.structure

## Class VertexPropertyTest.VertexPropertyAddition

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.VertexPropertyTest.VertexPropertyAddition

- Enclosing class:
    VertexPropertyTest

      public static class VertexPropertyTest.VertexPropertyAddition
      extends AbstractGremlinTest

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexPropertyAddition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAllowIdAssignment()`
    `void` | `shouldAllowIdenticalValuedMultiProperties()`
    `void` | `shouldHandleListVertexProperties()`
    `void` | `shouldHandleSetVertexProperties()`
    `void` | `shouldHandleSingleVertexProperties()`
    `void` | `shouldRespectWhatAreEdgesAndWhatArePropertiesInMultiProperties()`
    `void` | `shouldSetLabelOfVertexPropertyToKeyOfOwningProperty()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertexPropertyAddition

          public VertexPropertyAddition()

  - ### Method Detail

    - #### shouldAllowIdAssignment

          public void shouldAllowIdAssignment()

    - #### shouldSetLabelOfVertexPropertyToKeyOfOwningProperty

          public void shouldSetLabelOfVertexPropertyToKeyOfOwningProperty()

    - #### shouldHandleListVertexProperties

          public void shouldHandleListVertexProperties()

    - #### shouldHandleSingleVertexProperties

          public void shouldHandleSingleVertexProperties()

    - #### shouldHandleSetVertexProperties

          public void shouldHandleSetVertexProperties()

    - #### shouldRespectWhatAreEdgesAndWhatArePropertiesInMultiProperties

          public void shouldRespectWhatAreEdgesAndWhatArePropertiesInMultiProperties()

    - #### shouldAllowIdenticalValuedMultiProperties

          public void shouldAllowIdenticalValuedMultiProperties()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.